### GET /pages/{id}/direct-children Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns all children for given page id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available) will be available through the `next` URL present in the `Link` response header. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Only content that the user has permission to view will be returned. ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the parent page. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results. - **sort** (string, query, optional): Used to sort the result by a particular field. ### Responses #### 200 - Returned if the requested children are returned. - **results** (array (ChildrenResponse)) Array items: - **id** (string): ID of the child content. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the child content. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **spaceId** (string): ID of the space the content is in. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified page or the page was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/pages/{id}/direct-children?cursor=string&limit=25&sort=string" ``` ``` -------------------------------- ### GET /whiteboards/{id}/direct-children Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns all children for given whiteboard id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available) will be available through the `next` URL present in the `Link` response header. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Only content that the user has permission to view will be returned. ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the parent whiteboard. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results. - **sort** (string, query, optional): Used to sort the result by a particular field. ### Responses #### 200 - Returned if the requested children are returned. - **results** (array (ChildrenResponse)) Array items: - **id** (string): ID of the child content. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the child content. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **spaceId** (string): ID of the space the content is in. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/whiteboards/{id}/direct-children?cursor=string&limit=25&sort=string" ``` ``` -------------------------------- ### GET /folders/{id}/direct-children Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns all children for given folder id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available) will be available through the `next` URL present in the `Link` response header. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Only content that the user has permission to view will be returned. ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the parent folder. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results. - **sort** (string, query, optional): Used to sort the result by a particular field. ### Responses #### 200 - Returned if the requested children are returned. - **results** (array (ChildrenResponse)) Array items: - **id** (string): ID of the child content. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the child content. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **spaceId** (string): ID of the space the content is in. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified folder or the folder was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/folders/{id}/direct-children?cursor=string&limit=25&sort=string" ``` ``` -------------------------------- ### GET /databases/{id}/direct-children Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns all children for given database id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available) will be available through the `next` URL present in the `Link` response header. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Only content that the user has permission to view will be returned. ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the parent database. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results. - **sort** (string, query, optional): Used to sort the result by a particular field. ### Responses #### 200 - Returned if the requested children are returned. - **results** (array (ChildrenResponse)) Array items: - **id** (string): ID of the child content. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the child content. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **spaceId** (string): ID of the space the content is in. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified database or the database was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/databases/{id}/direct-children?cursor=string&limit=25&sort=string" ``` ``` -------------------------------- ### GET /embeds/{id}/direct-children Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns all children for given smart link id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available) will be available through the `next` URL present in the `Link` response header. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Only content that the user has permission to view will be returned. ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the parent smart link. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results. - **sort** (string, query, optional): Used to sort the result by a particular field. ### Responses #### 200 - Returned if the requested children are returned. - **results** (array (ChildrenResponse)) Array items: - **id** (string): ID of the child content. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the child content. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **spaceId** (string): ID of the space the content is in. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified smart link or the smart link was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/embeds/{id}/direct-children?cursor=string&limit=25&sort=string" ``` ``` -------------------------------- ### GET /app/properties Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Gets Forge app properties. This API can only be accessed using **[asApp()](https://developer.atlassian.com/platform/forge/apis-reference/fetch-api-product.requestconfluence/#method-signature)** requests from Forge. ```markdown ### Parameters - **cursor** (string, query, optional): Used for pagination, this opaque cursor represents the last returned property key. It will be included in the response body as the next link. Use this key to request the next set of results. - **limit** (integer (int32), query, optional): Maximum number of app properties per result to return. If more results exist, use the last returned property key from the Link field in the response body as a cursor to retrieve the next set of results. ### Responses #### 200 - Forge app properties returned on success. - **results** (array (object)) Array items: - **key** (string): The key of the property - **value** (object): The value of the property - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 401 - The request did not originate from the Forge app. The request did not originate from the Forge app. #### 403 - Returned when the request is forbidden due to one of the following: - The request attempts impersonation. Only requests made using `asApp()` are allowed. - The Forge app is not installed. Returned when the request is forbidden due to one of the following: - The request attempts impersonation. Only requests made using `asApp()` are allowed. - The Forge app is not installed. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/app/properties?cursor=string&limit=50" ``` ``` -------------------------------- ### GET /whiteboards/{id}/descendants Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns descendants in the content tree for a given whiteboard by ID in top-to-bottom order (that is, the highest descendant is the first item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available) will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth of descendants to be fetched. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Permission to view the whiteboard and its corresponding space ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the whiteboard. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, call the endpoint with the cursor to fetch the next set of results. - **depth** (integer (int32), query, optional): Maximum depth of descendants to return. If more results are required, use the endpoint corresponding to the content type of the deepest descendant to fetch more descendants. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. ### Responses #### 200 - Returned if the requested descendants are returned. - **results** (array (DescendantsResponse)) Array items: - **id** (string): ID of the descendant. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the descendant. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **parentId** (string): ID of the parent content. - **depth** (integer (int32)): Depth of the descendant in the content tree relative to the content specified in the request. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified whiteboard or the whiteboard was not found. content: { } Returned if the calling user does not have permission to view the specified whiteboard or the whiteboard was not found. content: { } ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/whiteboards/{id}/descendants?limit=25&depth=2&cursor=string" ``` ``` -------------------------------- ### GET /databases/{id} Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns a specific database. **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to view the database and its corresponding space. ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the database to be returned - **include-collaborators** (boolean, query, optional): Includes collaborators on the database. - **include-direct-children** (boolean, query, optional): Includes direct children of the database, as defined in the `ChildrenResponse` object. - **include-operations** (boolean, query, optional): Includes operations associated with this database in the response, as defined in the `Operation` object. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results. - **include-properties** (boolean, query, optional): Includes content properties associated with this database in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results. ### Responses #### 200 - Returned if the requested database is returned. - **id** (string): ID of the database. - **type** (string): The content type of the object. - **status** (string (current|draft|archived|historical|trashed|deleted|any)): The status of the content. ("current"|"draft"|"archived"|"historical"|"trashed"|"deleted"|"any") - **title** (string): Title of the database. - **parentId** (string): ID of the parent content, or null if there is no parent content. - **parentType** (string (page|whiteboard|database|embed|folder)): Content type of the parent, or null if there is no parent. ("page"|"whiteboard"|"database"|"embed"|"folder") - **position** (integer (int32)): Position of the database within the given parent page tree. - **authorId** (string): The account ID of the user who created this database originally. - **ownerId** (string): The account ID of the user who owns this database. - **createdAt** (string (date-time)): Date and time when the database was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ". - **spaceId** (string): ID of the space the database is in. - **version** (object) - **createdAt** (string (date-time)): Date and time when the version was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ". - **message** (string): Message associated with the current version. - **number** (integer (int32)): The version number. - **minorEdit** (boolean): Describes if this version is a minor version. Email notifications and activity stream updates are not created for minor versions. - **authorId** (string): The account ID of the user who created this version. - **_links** (object) - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the requested database or the database was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/databases/{id}?include-collaborators=false&include-direct-children=false&include-operations=false&include-properties=false" ``` ``` -------------------------------- ### GET /pages/{id}/descendants Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns descendants in the content tree for a given page by ID in top-to-bottom order (that is, the highest descendant is the first item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available) will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth of descendants to be fetched. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Permission to view the page and its corresponding space ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the page. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, call the endpoint with the cursor to fetch the next set of results. - **depth** (integer (int32), query, optional): Maximum depth of descendants to return. If more results are required, use the endpoint corresponding to the content type of the deepest descendant to fetch more descendants. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. ### Responses #### 200 - Returned if the requested descendants are returned. - **results** (array (DescendantsResponse)) Array items: - **id** (string): ID of the descendant. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the descendant. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **parentId** (string): ID of the parent content. - **depth** (integer (int32)): Depth of the descendant in the content tree relative to the content specified in the request. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified page or the page was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/pages/{id}/descendants?limit=25&depth=2&cursor=string" ``` ``` -------------------------------- ### GET /databases/{id}/descendants Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns descendants in the content tree for a given database by ID in top-to-bottom order (that is, the highest descendant is the first item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available) will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth of descendants to be fetched. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Permission to view the database and its corresponding space ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the database. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, call the endpoint with the cursor to fetch the next set of results. - **depth** (integer (int32), query, optional): Maximum depth of descendants to return. If more results are required, use the endpoint corresponding to the content type of the deepest descendant to fetch more descendants. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. ### Responses #### 200 - Returned if the requested descendants are returned. - **results** (array (DescendantsResponse)) Array items: - **id** (string): ID of the descendant. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the descendant. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **parentId** (string): ID of the parent content. - **depth** (integer (int32)): Depth of the descendant in the content tree relative to the content specified in the request. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified database or the database was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/databases/{id}/descendants?limit=25&depth=2&cursor=string" ``` ``` -------------------------------- ### GET /folders/{id}/descendants Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns descendants in the content tree for a given folder by ID in top-to-bottom order (that is, the highest descendant is the first item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available) will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth of descendants to be fetched. The following types of content will be returned: - Database - Embed - Folder - Page - Whiteboard This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such as: - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get). **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to access the Confluence site ('Can use' global permission). Permission to view the and its corresponding space ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the folder. - **limit** (integer (int32), query, optional): Maximum number of items per result to return. If more results exist, call the endpoint with the cursor to fetch the next set of results. - **depth** (integer (int32), query, optional): Maximum depth of descendants to return. If more results are required, use the endpoint corresponding to the content type of the deepest descendant to fetch more descendants. - **cursor** (string, query, optional): Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results. ### Responses #### 200 - Returned if the requested descendants are returned. - **results** (array (DescendantsResponse)) Array items: - **id** (string): ID of the descendant. - **status** (string (current|archived)): The status of the content. ("current"|"archived") - **title** (string): Title of the descendant. - **type** (string): Hierarchical content type (database/embed/folder/page/whiteboard). - **parentId** (string): ID of the parent content. - **depth** (integer (int32)): Depth of the descendant in the content tree relative to the content specified in the request. - **childPosition** (integer (int32)): Numerical value indicating position of the content relative to its siblings (with the same parentId) within the content tree. If the content is sorted by childPosition, it will reflect the default content ordering within the content tree. - **_links** (object) - **next** (string): Used for pagination. Contains the relative URL for the next set of results, using a cursor query parameter. This property will not be present if there is no additional data available. - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the specified folder or the folder was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/folders/{id}/descendants?limit=25&depth=2&cursor=string" ``` ``` -------------------------------- ### GET /whiteboards/{id} Source: https://dac-static.atlassian.com/cloud/confluence/openapi-v2.v3.json Returns a specific whiteboard. **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to view the whiteboard and its corresponding space. ```markdown ### Parameters - **id** (integer (int64), path, required): The ID of the whiteboard to be returned - **include-collaborators** (boolean, query, optional): Includes collaborators on the whiteboard. - **include-direct-children** (boolean, query, optional): Includes direct children of the whiteboard, as defined in the `ChildrenResponse` object. - **include-operations** (boolean, query, optional): Includes operations associated with this whiteboard in the response, as defined in the `Operation` object. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results. - **include-properties** (boolean, query, optional): Includes content properties associated with this whiteboard in the response. The number of results will be limited to 50 and sorted in the default sort order. A `meta` and `_links` property will be present to indicate if more results are available and a link to retrieve the rest of the results. ### Responses #### 200 - Returned if the requested whiteboard is returned. - **id** (string): ID of the whiteboard. - **type** (string): The content type of the object. - **status** (string (current|draft|archived|historical|trashed|deleted|any)): The status of the content. ("current"|"draft"|"archived"|"historical"|"trashed"|"deleted"|"any") - **title** (string): Title of the whiteboard. - **parentId** (string): ID of the parent content, or null if there is no parent content. - **parentType** (string (page|whiteboard|database|embed|folder)): Content type of the parent, or null if there is no parent. ("page"|"whiteboard"|"database"|"embed"|"folder") - **position** (integer (int32)): Position of the whiteboard within the given parent page tree. - **authorId** (string): The account ID of the user who created this whiteboard originally. - **ownerId** (string): The account ID of the user who owns this whiteboard. - **createdAt** (string (date-time)): Date and time when the whiteboard was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ". - **spaceId** (string): ID of the space the whiteboard is in. - **version** (object) - **createdAt** (string (date-time)): Date and time when the version was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ". - **message** (string): Message associated with the current version. - **number** (integer (int32)): The version number. - **minorEdit** (boolean): Describes if this version is a minor version. Email notifications and activity stream updates are not created for minor versions. - **authorId** (string): The account ID of the user who created this version. - **_links** (object) - **base** (string): Base url of the Confluence site. #### 400 - Returned if an invalid request is provided. #### 401 - Returned if the authentication credentials are incorrect or missing from the request. #### 404 - Returned if the calling user does not have permission to view the requested whiteboard or the whiteboard was not found. ### Example Usage ```bash curl -X GET "https://{your-domain}/wiki/api/v2/whiteboards/{id}?include-collaborators=false&include-direct-children=false&include-operations=false&include-properties=false" ``` ```